PIDOF(8)

NAZWA
pidof - znajduje identyfikator procesu działającego programu

SKŁADNIA
pidof [-s] [-c] [-n] [-x] [-o pomiń-pid[,pomiń-pid...] program [program..]

OPIS
Pidof wyszukuje identyfikatory procesów (PID-y) wskazanych programów. Wypisuje je następnie na standardowe wyjście. Program ten jest na ogół używany w skryptach zmian poziomu pracy (runlevel change scripts), szczególnie jeśli system ma strukturę rc typu System-V. Skrypty te są wtedy zlokalizowane w /etc/rc.?d, gdzie ? oznacza poziom pracy. Jeżeli system posiada program start-stop-daemon(8), to powinien być on stosowany zamiast pidof.

OPCJE

-s  Pojedynczy strzał - mówi to programowi, by wyświetlił tylko jeden pid.

-c  Zwraca tylko identyfikatory procesów działających w tym samym katalogu głównym. Ta opcja jest nieprzydatna dla użytkowników innych niż root, ponieważ nie będą oni mogli sprawdzić aktualnego katalogu głównego procesów, których nie są właścicielami.

-n  Zapobiega wywołaniu funkcji systemowej stat(2) na wszystkich plikach binarnych, zlokalizowanych w sieciowym systemie plików, takim jak NFS. Zamiast użycia tej opcji, można również ustawić i wyeksportować zmienną PIDOF_NETFS.

-x  Skrypty również - to powoduje, że program zwraca również identyfikatory procesów powłok, pracujących z podanymi skryptami.

-o pomiń-pid
    Mówi programowi, by ominął procesy z podanym identyfikatorem procesu. Istnieje specjalny pid %PPID, który może być używany do wskazywania procesu rodzicielskiego programu pidof, czyli innymi słowy do wywołującej powłoki lub skryptu.

KOD ZAKOŃCZENIA

0   Znaleziono przynajmniej jeden program o żądanej nazwie.

1   Nie znaleziono programu o żądanej nazwie.

UWAGI
pidof jest w rzeczywistości tym samym programem co killall5, a jego zachowanie zależy od nazwy, spod której został wywołany.

Gdy pidof jest wywoływany z pełną, ścieżkową nazwą programu, którego pid ma znaleźć, jest rozsądnie bezpieczny. W przeciwnym razie możliwe, że zwróci identyfikatory pid programów, które przypadkowo mają tę samą nazwę, co szukany przez nas, ale faktycznie są innymi programami. Proszę zauważyć, że nazwy plików wykonywalnych działających procesów są pozyskiwane za pomocą readlink(2), tak więc dowiązania symboliczne do plików wykonywalnych również są dopasowywane.

ZOBACZ TAKŻE
shutdown(8), init(8), halt(8), reboot(8), killall5(8)

AUTOR
Miquel van Smoorenburg, miquels@cistron.nl

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Marcin Garski <mgarski@post.pl>, Przemek Borys (PTM) <pborys@dione.ids.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.88 oryginału.